net.minecraft.world.biome

## Class WorldChunkManagerHell

- java.lang.Object
- - net.minecraft.world.biome.WorldChunkManager
  - - net.minecraft.world.biome.WorldChunkManagerHell

-     public class WorldChunkManagerHell
      extends WorldChunkManager

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.WorldChunkManager

      `allowedBiomes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldChunkManagerHell(BiomeGenBase p_i45374_1_, float p_i45374_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areBiomesViable(int par1, int par2, int par3, java.util.List par4List)`
    `ChunkPosition` | `findBiomePosition(int p_150795_1_, int p_150795_2_, int p_150795_3_, java.util.List p_150795_4_, java.util.Random p_150795_5_)`
    `BiomeGenBase[]` | `getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5, boolean par6)`
    `BiomeGenBase` | `getBiomeGenAt(int par1, int par2)`
    `BiomeGenBase[]` | `getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)`
    `float[]` | `getRainfall(float[] par1ArrayOfFloat, int par2, int par3, int par4, int par5)`
    `BiomeGenBase[]` | `loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)`

    - ### Methods inherited from class net.minecraft.world.biome.WorldChunkManager

      `cleanupCache, getBiomesToSpawnIn, getModdedBiomeGenerators, getTemperatureAtHeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldChunkManagerHell

          public WorldChunkManagerHell(BiomeGenBase p_i45374_1_,
                               float p_i45374_2_)

  - ### Method Detail

    - #### getBiomeGenAt

          public BiomeGenBase getBiomeGenAt(int par1,
                                   int par2)

      Overrides:
        `getBiomeGenAt` in class `WorldChunkManager`

    - #### getBiomesForGeneration

          public BiomeGenBase[] getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

      Overrides:
        `getBiomesForGeneration` in class `WorldChunkManager`

    - #### getRainfall

          public float[] getRainfall(float[] par1ArrayOfFloat,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

      Overrides:
        `getRainfall` in class `WorldChunkManager`

    - #### loadBlockGeneratorData

          public BiomeGenBase[] loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

      Overrides:
        `loadBlockGeneratorData` in class `WorldChunkManager`

    - #### getBiomeGenAt

          public BiomeGenBase[] getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                     int par2,
                                     int par3,
                                     int par4,
                                     int par5,
                                     boolean par6)

      Overrides:
        `getBiomeGenAt` in class `WorldChunkManager`

    - #### findBiomePosition

          public ChunkPosition findBiomePosition(int p_150795_1_,
                                        int p_150795_2_,
                                        int p_150795_3_,
                                        java.util.List p_150795_4_,
                                        java.util.Random p_150795_5_)

      Overrides:
        `findBiomePosition` in class `WorldChunkManager`

    - #### areBiomesViable

          public boolean areBiomesViable(int par1,
                                int par2,
                                int par3,
                                java.util.List par4List)

      Overrides:
        `areBiomesViable` in class `WorldChunkManager`